From 779e94c7f537d830b066e24e7b1f6482f22aead4 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 14 2017 09:45:05 +0000
Subject: [PATCH 50/51] don't trip over 'filter: ~'


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 5f991da..cd560ac 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -691,6 +691,7 @@ class ModuleMDLinter(object):
 
     @option
     @prerequisite_for('filter_rpms_*')
+    @prerequisite('filter_dict')
     def lint_filter_rpms_exists(self):
         self.check('rpms' in self.mmd['filter'])
 

